GET api/Comment?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfCommentDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of CommentDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "CommentId": 1,
      "CommentForEntity": 2,
      "CommentForEntityId": "sample string 3",
      "CommentType": 4,
      "CompanyCode": "sample string 5",
      "CommentText": "sample string 6",
      "ValidFlag": true,
      "insertUserId": 8,
      "insertUserName": "sample string 9",
      "insertDate": "2026-06-20T01:08:15.305751-07:00",
      "RelativeDateTime": "sample string 11"
    },
    {
      "CommentId": 1,
      "CommentForEntity": 2,
      "CommentForEntityId": "sample string 3",
      "CommentType": 4,
      "CompanyCode": "sample string 5",
      "CommentText": "sample string 6",
      "ValidFlag": true,
      "insertUserId": 8,
      "insertUserName": "sample string 9",
      "insertDate": "2026-06-20T01:08:15.305751-07:00",
      "RelativeDateTime": "sample string 11"
    }
  ],
  "totalCount": 3
}